Bug 221523 - www/gitlab
Summary: www/gitlab
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Torsten Zuehlsdorff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-14 15:34 UTC by max
Modified: 2017-08-18 14:35 UTC (History)
0 users

See Also:
tz: maintainer-feedback+
tz: merge-quarterly?


Attachments
Patch to fix pkg-plist (775 bytes, patch)
2017-08-14 15:34 UTC, max
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description max 2017-08-14 15:34:22 UTC
Created attachment 185407 [details]
Patch to fix pkg-plist

Poudriere fails to package
~~~
===========================================================================
=======================<phase: package        >============================
===>  Building package for gitlab-9.2.10
pkg-static: Unable to access file /wrkdirs/usr/ports/www/gitlab/work/stage/usr/local/www/gitlab/db/post_migrate/20170516165248_cleanup_trigger_for_issues.rb:No such file or directory
*** Error code 1

Stop.
make: stopped in /usr/ports/www/gitlab
~~~

Should be due to a typo in pkg-plist:
~~~
--- pkg-plist   2017-08-14 17:25:00.255612000 +0200
+++ pkg-plist.fixed     2017-08-14 17:25:45.339763000 +0200
@@ -5172,7 +5172,7 @@
 %%WWWDIR%%/db/post_migrate/20170425121605_migrate_trigger_schedules_to_pipeline_schedules.rb
 %%WWWDIR%%/db/post_migrate/20170425130047_drop_ci_trigger_schedules_table.rb
 %%WWWDIR%%/db/post_migrate/20170503004427_update_retried_for_ci_build.rb
-%%WWWDIR%%/db/post_migrate/20170516165%%RUBY_SUFFIX%%8_cleanup_trigger_for_issues.rb
+%%WWWDIR%%/db/post_migrate/20170516165238_cleanup_trigger_for_issues.rb
 %%WWWDIR%%/db/post_migrate/20170516181025_add_constraints_to_issue_assignees_table.rb
 %%WWWDIR%%/db/post_migrate/20170518200835_rename_users_with_renamed_namespace.rb
 %%WWWDIR%%/db/post_migrate/20170518231126_fix_wrongly_renamed_routes.rb
~~~
Comment 1 commit-hook freebsd_committer 2017-08-14 15:53:59 UTC
A commit references this bug:

Author: tz
Date: Mon Aug 14 15:53:23 UTC 2017
New revision: 447947
URL: https://svnweb.freebsd.org/changeset/ports/447947

Log:
  www/gitlab: fix pkg-plist

  A %%RUBY_SUFFIX%% got into the plist and makes it invalid

  PR:           221523
  Submitted by: max@mober.at
  MFH:          2017Q3

Changes:
  head/www/gitlab/Makefile
  head/www/gitlab/pkg-plist
Comment 2 Torsten Zuehlsdorff freebsd_committer 2017-08-14 15:54:44 UTC
Thanks for the catch, i committed the patch (and added a PORTREVISION). 

Will MFH this fix!
Comment 3 commit-hook freebsd_committer 2017-08-17 16:08:16 UTC
A commit references this bug:

Author: feld
Date: Thu Aug 17 16:07:13 UTC 2017
New revision: 448136
URL: https://svnweb.freebsd.org/changeset/ports/448136

Log:
  MFH: r447947

  www/gitlab: fix pkg-plist

  A %%RUBY_SUFFIX%% got into the plist and makes it invalid

  PR:           221523
  Submitted by: max@mober.at

  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2017Q3/
  branches/2017Q3/www/gitlab/Makefile
  branches/2017Q3/www/gitlab/pkg-plist